#
# spec file for package perl-GDTextUtil
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-GDTextUtil
Version:        0.86
Release:        99.24
%define cpan_name GDTextUtil
Summary:        GDTextUtil Perl module
License:        Artistic-1.0 OR GPL-2.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/GDTextUtil/
Source:         GDTextUtil-0.86.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(GD) >= 1
# MANUAL
Requires:       perl(GD) >= 1
%{perl_requires}

%description
GDTextUtil Perl module

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Dustismo.LICENSE Dustismo_Sans.ttf README

%changelog
* Tue Mar 13 2018 crrodriguez@opensuse.org
- remove buildrequires on jpeg and xorg-x11-devel, both unused.
* Mon Sep  9 2013 coolo@suse.com
- update the template to fix file list
* Wed Feb 27 2013 coolo@suse.com
- update license to new format
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri Dec 14 2007 anicka@suse.cz
- update to 0.86
  * Fixed check for TTF font support. The libgd error message changed
  between 1.8 and 2.0
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Wed Jul 28 2004 ro@suse.de
- update to 0.86
* Thu Sep 25 2003 ro@suse.de
- created package version 0.85
